scrollleiste.de

Highslide Integration in WordPress

von Christoph Dietrich

Mit Hilfe dieser Erweiterung für das Weblog-System „WordPress“ lassen sich eingebundene Bilder mit dem von Torstein Honsi bekannten JavaScript Tool „Highslide JS“ vergrößern.
Kein aufwändiges Hinzufügen irgendwelcher Quicktags, von JavaScript o.ä. – einfach eine Null-Klick-Lösung!


Leistungsmerkmale

  • Einfache Integration von Highslide JS
  • Automatische Aktivierung/Deaktivierung für alle (auch bereits) veröffentlichten Bilder
  • Unterstützung der Anzeige von Bild-Titel
  • Unterstützt Bilder-Galerien
  • Keine JS-Eventhandler im Code des Editors nötig, funktioniert vollständig mit Hilfe von CSS
  • 2-Ebenen Anpassung des Aussehens über JavaScript und CSS
  • Die integrierte Highslide-Bibliothek kann gegen eigen konfigurierte Bibliothek getauscht werden
  • Mehrsprachig (aktuell: deutsch, englisch und italienisch)

Änderungen der letzten Versionen (Changelog)

Version 2.2

  • Automatik vereinfacht, sollte nun für mehr Leute out-of-the-box funktionieren.

Version 2.1

  • JavaScript-Fehler behoben (unnötiges Komma entfernt)
  • Highslide-Bibliothek auf neuste Version aktualisiert (4.1.12)

Version 2.0

  • Plugin komplett neu entwickelt
  • Alle bekannten Probleme behoben
  • Unterstützung für Bilder-Galerien
  • Markup von Artikeln wird nicht verändert, somit kein Code in der Datenbank. Alle Modifikationen der Seite finden im Frontend statt
  • Mehr vordefinierte Einstellungen von Highslide JS
  • Einfachere Handhabung
  • Neue italienische Übersetzung (von Gianni Diurno) hinzugefügt

Version 1.4

  • Italienische Übersetzung (von Gianni Diurno) hinzugefügt

Version 1.3

  • Fehler beim Laden von jQuery behoben

Version 1.2

  • Übersetzung auf Englisch verbessert
  • Automatische Größenanpassung der Bilder hinzugefügt

Version 1.1

  • Bugs beim Speichern der Einstellungen behoben
  • Bugs beim Setzen von Pfaden behoben
  • Verbesserung, Reduzierung und Kommentierung der CSS-Datei
  • Unterstützung für Bild-Titel hinzugefügt
  • Umstellung der Highslide-Injektion auf jQuery

Version 1.0

  • [Erste Veröffentlichung]

Upgrade

Um von einer älteren Version auf das aktuelle Release upzugraden, deaktivieren Sie das Plugin, löschen Sie das Plugin-Verzeichnis von Ihrem Server, kopieren Sie das neue Plugin-Verzeichnis auf Ihren Server und aktivieren Sie es.

Lizenz

Das Plugin ist unter der General Public Licence (GPL) veröffentlicht und ist damit frei nutzbar und veränderbar. Beachten Sie jedoch, dass das Highslide Framework unter einer Creative Common Licence veröffentlicht ist und nicht kommerziell genutzt werden darf.

Feedback

Wenn Sie Verbesserungsvorschläge, Fehler entdecken oder das Plugin übersetzen möchten kontaktieren Sie mich oder hinterlassen Sie einen Kommentar. Fehlerberichte bitte mit URL zum Ansehen posten!

Download

Unterstützen

Wenn Du dieses Plugin magst, klicke auf diesen Banner:

175 Kommentare

wow sieht prima aus, werde ich mal testen!!

grüße
joe

Joachim

Support for displaying image titles will come with the next release.

Christoph Dietrich

Hey Christoph, i managed to get the titles under the highslide effect pictures (i use it with the NextGen gallery). But i still have an empty/transparent area between the picture itself and the title/description. I think, there the next/previous/close buttons have to appear (don’t know for sure). How can i add these /how can i remove this transparent area?? Any idea?

Thanx

Evert

Well, the look&feel of highslide shouldn’t be touched by my plugin. So, it should look like the demos on the highslide-site. Sounds like a css-problem.
I try to release an new version of „highslide-integration“ with title-support in a few days…

Christoph Dietrich

Christoph,

I was so excited to see your new plugin this morning! Thank you so much in advance for your contribution.

I extracted the contents of the zip file into my plugin directory then activated it. In [settings > highslide] on my site in the Highslide Appearance window, there was the following line:

hs.graphicsDir = „http://www.mydomain.com/wp-content/plugins//graphics/“;

I noticed that „highslide-integration“ was missing from between the 2 slashes in the stock installation, so I changed that line in the Highslide Appearance window manually to:

hs.graphicsDir = „http://www.mydomain.com/wp-content/plugins/highslide-integration/graphics/“;

Not sure if that is an intentional necessary step or not but thought I would mention it. Was I supposed to do that?

OK, now to the plugin application on my site. I am afraid I am unable to get it working. Perhaps it is something I am missing.

In [settings > highslide], the check mark IS checked. Beyond that, I am not sure what I am supposed to do.

You mentioned in your installation instructions above the following:

„In your media-dialog of your wordpress backend you’ll find an option to activate enlargement for an image. If your enable this option, your picture will be zoomable via “Highslide JS” in the frontend. No quicktags, no JavaScript -just an zero-click-solution.“

I am using wp 2.5.1 and am not sure what you mean by „media-dialog“ and the „option“ to activate enlargement for an image. Is that supposed to be in the MCE editor somewhere?

I am sorry for the question, I am surely missing something very obvious.

Thank you once again Christoph.

Jeff

Jeff Dodson

New version (v1.1) of the „Highslide Integration“ plugin released!
Now it supports displaying of image titles and some reported bugs were fixed. Have a try and send me feedback, if you notice further bugs.

Christoph Dietrich

Christoph,

I deactivated then deleted the plugin folder all together then uploaded the new folder.

I figured out that the highslide.js file included with your plugin is a blank and once I uploaded the working copy from HS, all is working. Also, the highslide-integration was not missing between the slashes.

I am going to look into the integration of other displays, like invisible div tags, html, web pages, etc. Will your plugin work with all the attributes of HS?

Great job, such a beautiful plugin right out of the box!

Jeff

Jeff Dodson

The highslide.js in the ZIP-file seems to be ok. Maybe something went wrong, when you uploaded the folder on your server.

Christoph Dietrich

Christoph,

OK, I see that in your version of highslide.js line 28, which starts as „eval(function(p,a,c,k,e,d){e=function(c){return(c<a?“ …. “ runs off to the left in code I do not understand. The version of highslide.js from the developer is the same as yours lines 1 through 27, then line 28 and further their is .js code, quite a lot of it. But yes, it works with your version.

But I did notice that with the developers version, when I click on the thumbnail, it opens to an intermediate image with the little icon lower right that if I click on that, it expands to the full image. If your version is in there, it expands to the full version straight away.

Cal all aspects of highslide be incorporated into your plugin? For example, invisible div tags, html, web pages, etc.?

Thanks,

Jeff

Jeff Dodson

New version (v1.2) of the “Highslide Integration” plugin released!
The included highslide-library now supports autoresizing of images. Furthermore, i improved the translation in english.

Christoph Dietrich

Christoph,

I have begun to try integrating the following into your plugin:

Display of:
1. HTML
2. hidden div tags
3. multiple groups of images on the same page with next/prev/captions
4. flash
5. html, web pages, div tags with ajax

Reading the docs at the dev web site, I am not following yet what to do, not surprising, I am not a coder at all. Is there an easy explanation on h ow to do this?

Thank you,

Jeff

Jeff Dodson

Well, i don’t have tried all these features of highslide. So i don’t really know how to use them with highslide so far.
1. You mean displaying code? Doesn’t seem to make so much sense to me. Have a look at the google syntax highlighter.
2. What do you mean or purpose to do with hidden div tags?
3. I’ll have a look on this soon. This is important for usability, if you have several images on a page.
4. If it’s not to difficult, i will integrate that too. I don’t really use flash very often.
5. I’ll have a look on showing web pages in it soon. Div tags via AJAX? Why in highslide?
Give me some time, i’m doing that in my sparetime.

Christoph Dietrich

Christopher,

Forgive me if I sounded pushy, just some suggestions of the next place to go with your plugin if you wanted them.

Really, the most important item was displaying in multiple groups, with just one thumbnail or all thumbnails of each group on the base page with next/previous navigation.

The other items can be simplified into the ability to display text in a pop up window, like your terms of service on a web page or an explanation of of something, etc. Thats why I mentioned ajox, the HS developer used ajax for some of this.

Displaying flash and web pages would be a pure bonus.

This is an incredible plugin, I have spent days looking for one and trying several, and none of them work very well at all. Yours has worked completely out of the box.

Dankeschön!

Jeff

Jeff Dodson

Hallo Chrisroph

Super Sache! Habe schon eine Weile so etwas gesucht.

Habe alles so gemacht, wie du beschrieben hast. Im Admi bereich funktioniert alles. Doch leider, wenn ich im Blog ein Bild anklicke, öffnet sich ein neues Browser Fenster.

Habe ich etwas vergessen?

Marco

Funktioniert bei mir unter OS X / Safari 3.11 nicht korrekt: Bei Klick auf den Thumbnail wird zwar die Loading-Sanduhr angezeigt und das Text-Overlay, das Bild öffnet sich aber nicht im Highslide. Klicke ich nochmal, geht das Bild normal im neuen Fenster auf.
Das Original-Skript funktioniert allerdings.
Die Fehler-Konsole meckert über zwei „Undefined Values“ in Zeile 113 auf dieser Seite.

Noch etwas ist mir aufgefallen, vielleicht liegt es auch schon daran:
onclick=“javascript:pageTracker._trackPageview(‚/xyz.png‘);“
Das ist syntaktisch nicht korrekt; da „onclick“ immer eine JavaScript-Event ist, ist das „javascript:“ hier am Anfang falsch.

Gruß, Martin

Martin

Sorry, da ist wohl etwas durcheinander gekommen. Noch mal:
Das pageTracker-JS stammt, wie Christoph mir per Mail mitgeteilt hat, von Google Analytics und nicht vom Highslide-Script. Dennoch ist das onclick=“javascript:…“ falsch.

Ich habe das noch mal auf einem anderen Rechner unter OS X und Safari getestet und es hat normal funktioniert. Der einzig nennenswerte Unterschied ist eigentlich die Installation von „Privoxy“ auf meinem Laptop, von dem ich den Kommentar gestern auch geschrieben habe. Ich denke also, dass Privoxy hier das Script blockiert hat. Ich schaue mir das am Laptop noch mal an und melde mich dann :)

Martin Weber

Hi Christoph! I´m trying to get the highslide plugin to work on my site but somehow it opens the image on a new page instead of opening it the way it supposed to. See for yourself here: http://www.petertigerstyle.se/blog/testing/

I´m using WP 2.5.1, can you please help me out? As you can see the highslide „zooming-glass“ is there but the main function seems to be missing? I have installed the plugin the default way and havent made any special configurations.

Best Regards
Peter

peppi

Hello peppi!
The problem seems to be a missing jQuery-library. I’ve released a new version of my plugin (v1.3) that includes this library, if it’s not included already.
Best regards

Christoph Dietrich

The new version 1.3 fixed my problem and now it works perfectly! Thank you for your quick respons and update!

Danke!
Peter

peppi

Neue Version von „Highslide Integration“ verfügbar (v1.4)!
Italienische Sprachdatei von Gianni Diurno hinzugefügt.

Christoph Dietrich

Hello Chrisroph,

I was curious if you had a time table in mind for incorporating multiple sets of multiple images on the same page/post with your plugin? Just want to know if I should try other solutions, I would rather wait for yours if your getting close.

Thank you,

Jeff

Jeff Dodson

Hello Chrisroph;

First of all your plugin is great! ive seen it working on various sites, good job!
Thing is, i cant see, to get it up and going. I downloaded the latest version, installed it following the directions, but nothing happens. Just a quick question. I have posts that contain various pictures and are being displayed with the gallery function of wordpress.
when i upload these pictures and check the highslide box, do i then ‚insert‘ them in the post? or can they be attachments and still work properly?

thanks

Paula.

paula

@Jeff: I will have a look on that feature within the next 2-4 weeks!

Christoph Dietrich

This is an very good plugin for an excellent thumbnail viewer. Thank you.

Do you think it would be appropriate to automatically insert the class=“highslide“ tag next to each image? Right now with your plugin it’s easy to add the tag to new images. If the plugin automatically added the tag, then ones entire blog would be instantly converted to using highslide.

I know that the highslide plugin can be used for more than just images, so this might not be appropriate. Though I only use the plugin for images.

The WP Lightbox JS WordPress Plugin uses Lightbox JS and inserts tags automatically. In this case, the tag is: rel=“lightbox“. The code is straightforward enough. Fetch that plugin, look at lightbox.js and search for rel=“lightbox“ to see it.

The strategy employed by WP Lightbox JS has the added benefit of keeping the original post and database clean. If you deactivate the plugin, the tags go away automatically :-)

Have a great day.

Lee

I thought I would drop by and see how the plugin development was going. Christoph, are you closer to development on the multiple image, multiple times per page, gallery function?

Thanks once again for a great plugin so far!

Jeff

Jeff Dodson

Es wäre schön, wenn in der kommenden Version auch die Bildunterschriften (captions) in das Pop-up-Fenster integriert würden.

Das ultimative Killer-Feature wäre allerdings ein Code-Schnipsel, das dafür sorgt, dass sich nicht gleich zwei Anzeige-Plugins (z.B. Lightbox oder Shutter Reloaded UND Highslide) auf ein Bild stürzen.

Andreas Beer

hm, wenn ich es downloaden will, empfängt mich folgender satz: „External Links to Download Files Not Permitted“
woran liegt´s?

Prinzzess

Nein, ich hab es nur angeklickt. Dann kam die Meldung. komisch.

Prinzzess

Jetzt hat´s geklappt! Vielen Dank !!! :D

Prinzzess

there is a possibility to make a page so a gallery? for example with 4 photo for line e 7-8 column? and if i can make a gallory so this i have to put all url of all photos or I can put one url of the folder where are the photos?

kikko088

kikko088

doesnt work – uploaded, activated, options ok – doesnt do anything at all.

bob

Christoph,

Its been a couple months since I checked in, how is the plugin development going?

Jeff Dodson

[…]   Highslide Integration,一个利用ajax展示图片的插件。   利用ajax展示照片各位用的最多的应该诗Lightbox,不过这款展示效果也是非常之不错。本站现已启用,你可以点击下面的图片看看,然后拖动一下,再点击第二张。 […]

WordPress Plugins: Highslide Integration at WordPress Today

Hallo!
Wie lädt man den Ordner Highslide integration bei einem wordpress – blog hoch?
Viele Grüße!

Willi

Hey Christoph,

is there a possibility that a new version of your fantastic highslide plugin will contain the new highslide version???

Evert

@Willi:
Du benötigst ein FTP-Programm, um die Dateien hochzuladen (http://codex.wordpress.org/FTP_Clients).
Wenn du von einem gehosteten WordPress.com-Account sprechen solltest, keine Ahnung. Musst du dort nachlesen, ob man Plugins installieren kann und wie man sie installiert.

Christoph Dietrich

@kikko088, Jeff Dodson, Andreas Beer, Evert:
i’m back in developing a new version of the plugin to work with the newest version of wordpress, supporting captions, working with gallerys and some other features.

Christoph Dietrich

Hi friend,
I cannot found the check box as images above
any wrong i make ?

aHfUi

[…] sich gebracht, auch ich habe habe gerade etwas ausgetauscht. Und zwar das Plugin WP Highslide gegen Highslide Integration von der […]

CHANGE - GreenSmilies

Tolles ding, danke!

phoe

[…] sowie am meisten gesucht ist der Artikel zu meinem selbstentwickelten WordPress-Plugin namens "Highslide Integration", welches erlaubt, das JavaScript-Bildvergrößerungs-Werkzeug "Highslide JS" […]

OPENSOURCE BASE » Blog Archiv » Blog der Woche: Scrollleiste

Christoph,

Is there a beta version you need tested?

Please let me know how I can help.

Jeff

Jeff Dodson

Christoph,

Your plugin seems to be the best highslide plugin available, but I cannot get it to work. I’ve deactivated it and reinstalled it a couple of times just in case I missed something.
http://ericstaniford.com/?page_id=10
All it seems to be doing is just opening the image into a new page. What could I be doing wrong? Please help.

Sean Collins

Hallo!
Sind eigentlich Probleme in der Kombination mit WordPress 2.7 bekannt?
Wollte heute wie gewohnt Bilder in meinen Blog einfügen, jedoch funktioniert die Highslide Funktion nicht mehr! Was ich geändert habe ich die WordPress-Version! Alte Bilder funktionieren ohne Problem! Der HTML Code wird beim einfügen im Editor scheinbar nicht mehr richtig übergeben! Kann dies jemand bestätigen, oder liegt es irgendwo bei mir am System?
Gruß Martin

EPICENTER

Hallo Epicenter,

ich kann das bestätigen, jedoch habe ich bisher nur mit Version 2.7 getestet. Ich kann das Bild in er der Mediathek mit dem Haken „Highslide“ versehen, jedoch kann ich im Artikel die Highslite-Funktion mit der Lupe nicht nutzen.

Gruß
Joachim

Joachim

Ich hab WP 2.7 und bin ein mega von des Highslide Plugins. Leider funktioniert es nicht mehr. Bis wann kann man mit einem Update oder Bugfix rechnen?
Überigens ein mega Lob an den Programmierer des Plugins!

Anubis

So wie es aussieht funktioniert das Plugin in Version 2.7 nicht mehr. Ich bitte alle Nutzer um Geduld bis zum nächsten Release. Vielleicht habe ich über die Feiertage Zeit mich der Sache anzunehmen.

Christoph Dietrich

Wenn man die „Klammer“ um das verlinkte Bild per Hand in den Beitrag einfügt, geht es auch weiterhin.

Etwa so: <a href="VERLINKTES BILD.jpg" rel="nofollow"></a>

Man muss dabei nur darauf achten, nicht auf die von WordPress erzeugte Vorschau zu verlinken (Zusatz im Dateinamen etwa „bild-300×225.jpg“)

Gruß
Andreas

Andreas

Christoph,

I think I got the idea of your last post, that you needed a new version to comply with WP 2.7. Hope you can do that soon, I know you are planning other enhancements as well. But I can say that I am using your plugin successfully with WP 2.7. Not sure if it makes any difference, but I grabbed the newest highslide.js file from highslide.com. The simple image expand, move, contract is working fine so far.

Let me know if you need anyone to beta test a version.

Jeff

Jeff Dodson

Hallo. Cooles Plug-In. Ich habe nur ein Problem damit: Obwohl die Sprache auf Deutsch gestellt ist, zeigt mir das Plugin Hinweise „Loading“ „Click to close, drag…“ in Englisch dar. Irgend ’ne Ahnung woran das liegen könnte? Bin auf WP 2.6.5.-De Edition

Danke schonmal!
A.

Alex

Ich hab’s gelöst! Ich war so frei, mir die aktuelle Highslide.js von der Homepage des Autors zu laden (die ungepackte Version), in dieser hab‘ ich die Strings geändert, und jetzt funzt’s (bis auf Umlaute etc., diese werden nicht richtig angezeigt).

Christoph, vielleicht magst du dir diese Lösung mal anschauen und hast ’ne Idee oder kannst mit dieser Information was für zukünftige Releases nutzen.

Liebe Grüße und schöne Feiertage an alle,
A.

Alex

Ersteinmal muss ich sagen, super Plugin, das Beste ist, dass man es aktiviert und es funktioniert auch.
Ich würde ja gern das originale Highslide von Torstein Honsy nutzen, da es noch ein paar schicke Funktionen mehr bietet aber bei der Installation scheitert es dann, habe mehrere verschiedene Tut’s probiert jedoch kam ich nie zum Ziel.
Da du dich ja anscheinend in der Materie gut auskennst wäre es super wenn du das ganze Highslide so überarbeitest das es auch funktioniert, so wie das „Highslide Integration“.
Aber trotzdem vielen vielen Dank für diese schicke Version!!!!

Grüße

Christoph

Hallo,

das ist ein Super Plugin. Wie kann ich es denn realisieren, dass ich die gesamte Galerie in der Übersicht sehen kann. Dh, der User klickt ein Bild an und erhält die komplette Galerie – oder eben einen ersten Teil der Galerie – in der „popup“-Übersicht.
Geht das technisch überhaupt?

Freue mich auf eine Antwort.

Schöne Grüße
Andreas

andreas

@andreas: das ist mit highslide meines wissens leider nicht möglich.

Christoph

I can’t make it work :(
I have the plug-in added to activated on my WP 2.7.1 site. I can see the option to enable and disable highslide in my library images, but:

* The option to show the image enlargement with Highslide is always ticked. If I untick it, it will appear ticked again when I open it.
* I added a [gallery] shortcode as a test in a post, but the Highslide enlargement doesn’t seem to work. Clicking on the image thumbnail will open the image normally (without highslide).

Come someone help, please? :(

pmdci

@pmdci:
* that’s a feature. you can enable/disbale this on the settings page of the plugin.
* i’m not shure, if it already works with gallerys. will check that in the next release.
post or send me your url, then i can have a look on it.

Christoph Dietrich

Hi Christoph,

I can make individual images work, but it doesn’t work with the GALLERY shortcode (must use an additional plug-in called GALLERY PLUS for that).

I sent you the link by email for you to have a look, which includes some suggestions for you to improve your plug-in.

pmdci

i’ve been testing this plugin and like it a lot.. but in wp 2.7 the use highslide JS enlargement checkbox doesn’t work out.. i’ve to manually insert the code myself..

is there any solution for this?
Thank u..

indojepang

please make shure, that the path to the original image is in the inputfield over the checkbox. then it should work.

Christoph Dietrich

Wow, highslide habe ich zwar schon für alles mögliche benutzt aber so einfach in WP ist ja nur mal klasse! und die highslide.js wohl auch abgespeckt? Jedenfalls läds bei mir nu subjektiv schneller. xD

Hast du schonmal drüber nachgedacht auch z.b. kleine Website-Screenshots, Hilfetexte, etc. auch zu integrieren? Nicht als Grafik sonder erst als Grafik generiert? Oder direkten Text, geht ja auch IFRAME oder sogar AJAX.
Codeschnipsel hab ich und von Hand geht das genauso einfach wie mit deiner hs-class, müsse man nur irgendwie bequem interfacen, passt ja sicher noch rein.

itGrl

@itGrl: man kann die highslide.js online konfigurieren und nur die teile mit rein nehmen, die man benötigt. ist eben nur das nötigste drin.

was meinst du mit website-screenshots, hilfetexte und grafik generieren? ich verstehe nciht ganz…

Christoph Dietrich

Christoph, ich meinte damit dass man anstatt nur Bilder über dein Plugin anzeigen zu lassen auch andere Inhalte (z.b. eben Links als verkleinerte Vorschau) an Highslide übergeben kann.
Dazu kann man natürlich ein eigenes Plugin machen, aber wozu, wenn dein HighslideIntegration das nur ins Interface mit aufnehmen muss, das war der Gedanke.

itGrl

Dieses Plugin entspricht genau dem was ich gesucht habe. Die Standard Funktion von WordPress ist doch sehr dürftig. Diese Lücke hast du perfekt geschlossen.

Vielen Dank !!!

Markus

[…] ja, zudem habe ich mal eine Highslide Erweiterung von Scrollleiste hier eingebaut. Finde das Ding echt nett, danke an den Entwickler und die Anpassung für WordPress! […]

Mal wieder schnell und fix | Micha´s Blog

Guten Tag,

ich hätte da eine Frage, funktioniert das Plugin jetzt unter WP 2.7 oder nicht?

Gruß Anubis

Anubis

ja, es funktioniert. man sollte lediglich sicherstellen, dass die URL zum Bild richtig hinterlegt ist. Die verschluckt WordPress nach einem Upgrade gerne mal.

Christoph

Ich muss dem leider widersprechen. Nach dem Update auf 2.7.1 wird der highslide code nicht mehr eingefügt.

Ich weiss nicht was ich tun soll;(

phoe

Hello Christoph,

Thanks for the great plugin. The Highslide effect is awesome and the plugin makes it super easy to integrate into my blog…

I have figured out the using the hs on images but I would like to be able to achieve the same effect for a link to a video (and/or to other html content).

The highslide js forum gave me an example to look at but I’m having trouble making it happen in my blog, and they suggested I ask the plugin author…

Is there a simple way to achieve a hs video link with Highslide integration, or is the full version required?

Thanks for any advice you may have!

Eddie

Eddie vdub

@hello eddie vdub:
that isn’t possible with the plugin. and it would be to complex to integrate it in an easy-to-use way to wordpress. sorry.

Christoph

@phoe: ich werde das demnächst checken. bei der erwähnten version war übringens auch die rede von wordpress 2.7, nicht von 2.7.1.

Christoph Dietrich

Thanks for the quick response!
I was afraid you were gonna say that!
But fair enough…thanks for the awesome plugin.
till the next time,
Eddie

Eddie vdub

Back again…

How about prev/next controls on the expanded image?
Can those be brought up at all?

Thanks again for your help,

e

Eddie vdub

@eddie vdub: not possible at the moment. sorry

Christoph Dietrich

Cool Cool. I’m finding other ways to make it work.
Thanks for your time, much appreciated!

e

Eddie vdub

Dear Christoph

I’m a newbie on Worpress. I’m looking for cool stuff to improve my configuration.

To manage pictures, Higslide looks great and your plugin should perfectly fits my needs.

Thanks for the great job.

But (there’s is a but !), it would be perfect (the cherry on the cake (we say that in french)) with the ability to do the same with external pictures.

I think it’s technically possible (Flickr Manager does the job).

Is that functionnality on your roadmap ?

If positive I would consider to adopt it and so to feel more comfortable to translate it in french (and help you to add a „Pour les visiteurs francophones“ on this page)

Regards.

Philippe

pH|Re

Guten Morgen,

ich kann bestätigen was phoe geschrieben hat. In der Version 2.7 hat das Plugin noch funktioniert. In der Version 2.7.1 funktioniert es nicht mehr.

Man kann zwar auf ein Bild klicken aber es wird nicht mehr vergrößert.
Kann man das irgend wie beheben?

Gruß Anubis

Anubis

Soeben habe ich die Highslide Integration 1.4 erfolgreich auf einem 2.7.1 System installiert. Es handelt sich um ein frisch aufgesetztes System und nicht um ein Update.
Grüße,
Stefan

Stefan

Hi, verstehe die Welt nicht mehr. Zuerst hat alles super geklappt, die Bilder wurden wunderbar vergrößert. Dann musste ich das Plugin deinstallieren und habe es anschließend wieder installiert. Wenn ich jetzt auf das Bild klicke, erscheint nur „loading“, aber nichts passiert. Die Häkchen beim Bild für die Veröffentlichung mit Highslide sind aber gesetzt.
Woran kann das liegen? Bin am verzweifeln.
Danke für Hilfe!

Roland

I love your theme, it is available? also, can you give english instructions on how to download and install highslide js to wordpress?

nanette

[…] würde, funktioniert nicht. Dazu gehört beispielsweise “Highslide Integration” von scrollleiste.de. Die Beispiele in WordPress-Versionen bis 2.7 haben mich total überzeugt – leider […]

Plugins für Wordpress 2.8 – Mein digitales Universum

Hallo, die Beispiele, die ich bisher gesehen habe, sind klasse, und ich würde das Plugin gerne auch verwenden, da ich es klasse finde, aber ich habe alles mit WordPress 2.8 aufgebaut, und da funktioniert es leider nicht. Irgendeinen Tipp, was ich falsch mache?

Elmar

Es scheint in der Tat an Wp 2.8 zu liegen. Bei mir gehts auch nicht.

jan

@nanette: no, sorry. individual thing for my blog.
english instruction available at the top of the page.

nach den userkommentaren scheint es mit 2.8 nicht mehr zu funktionieren. werde mir das demnächst mal ansehen.

Christoph

Hi!
Sehr gutes Plugin. Ich kann leider meine Bilder jetzt nicht mehr zentrieren, gibt es dazu eine Lösung?
Liebe Grüße
Anna

Anna Reinbold

Hello! I was wondering if you had any plans (or could be bribed! :) to make your plugin compatible with WordPress Gallery’s?!

Thanks!!!!

Josh Cook

@Anna: das hat eigentlich nichts mit dem plugin zu tun. stichwort css.

@Josh: no, not the next time.

Christoph

Hallo,

ich möchte sehr gerne das Plugin verwenden, da ich gerade meine Seite mit WP aufbaue.
Doch leider tut es ja mit WP2.8 nicht.

Ist es absehbar, was es eine Lösung geben könnte?

Frank Plate

Hm, kann Frank bestätigen, in meinem neu installierten WPBlog 2.8.2 will das Plugin nicht funktionieren.

irrSinn

Ich haettre das lesen sollen, bevor ich meine blog’s auf 2.8 upgegraded hab… naja dann warte ich bis Christoph die naechste version macht… hehe

Rhoody

[…] Highslide Integration in WordPress | scrollleiste.de dener misin? __________________ tatildeyim, yar

Wordpress i

How about a donation to add gallery support – just name your price! :)

Josh Cook

Gute Nachricht: Nach der Aktualisierung auf WordPress 2.8.3 und vor allem des IE auf Version 8 habe ich das Plugin noch einmal ausprobiert – und siehe da, es funktioniert nun einwandfrei, auch im Firefox 3.5. Ich werde jetzt also nach und nach die Posts in meinem Blog anpassen an die Highslide-Unterstützung.
Viele Grüße,
Elmar

Elmar

[…] Version des Internet Explorer hatten, habe ich das Plugin “Highslide Integration” von Scrollleiste.de jetzt wieder ausprobiert. Denn inzwischen werkelt der IE8 und WordPress 2.8.3 – und siehe da, […]

Bei mir funktioniert es immer noch nicht wieder. :-(

WP habe ich auf 2.8.3 geupdatet, aber es will einfach nicht klappen. Jemand einen Tipp?

irrSinn

@irrSinn:
Auf meinem privaten Blog funktioniert es, da wird korrekt beim Einbau eines Bildes ein Eintrag wie class=“highslide“ eingefügt, wie man in der HTML-Ansicht sehen kann. Bei einem zweiten Blog mit gleichem Plugin geht es auch nicht, da wird der Eintrag trotz identischer Einstellungen nicht erzeugt. Jetzt bleibt meine Vermutung so: Mein Blog ist in der Root, das zweite in einem Unterverzeichnis angelegt. Vielleicht liegt es daran? Übertrage ich aus meinem Blog einen Bildeintrag mit der class-Vorgabe ins zweite Blog, funktioniert es auch dort. Im zweiten Blog ist sogar das Theme identisch.Merkwürdig…

Elmar

Erstmal danke für die Antwort Elmar. Jetzt wo du es sagst, fällt es mir auch auf, ich habe nämlich ebenfalls zwei Blogs. Der im Root-Verzeichnis liegt, funktioniert tadellos. Der zweite schlummert in einem Unterverzeichnis und dort fliegt CSS-Klasse immer wieder raus, wenn ich sie manuell nachpflege. Sehr seltsam.

irrSinn

Nachdem ich jetzt ein paar Dinge ausprobiert habe in den allgemeinen Einstellungen, will es mir dennoch beim Blog im Unterverzeichnis einfach nicht gelingen, Highslide zum Laufen zu bringen. Okay, in Kürze wandert das zweite Blog ohnehion auf eine neue Domain und damit ins Root, aber dennoch würde mich mal interessieren, woran es liegt, Vielleicht hat Christoph eine Idee?

Elmar

ich habe mich jetzt tagelang rumgekämpft mit dem Plugin. Ich hatte nie probleme und nach meinem Update auf 2.8.4 funktioniert es trotz allerdem nicht.
Ich habe heute Mittag mal auf dumm eine 2.6 Version drauf gespielt und siehe tada es funktionierte wieder, aber das kann ja nicht sinn und zweck der Sache sein.
Irgendwo ärgere ich mich tierisch darüber und ich hoffe das man das Plugin bald wieder verwenden kann ;( auf jeden Fall liegt es an der neueren Version und nicht an den ganzen Plugins die schon installiert waren.

Jenny

Hi,

I’ve installed this plugin but it doesn’t work well. When I click on an image it just opens the image’s full size in the regular browser windows and with no HS effect.
I use WordPress 2.8.4 and tried both on FF3.5 and IE7.

Thanks,
Maor

Maor

Works perfectly! Thanks a lot!
A very important advantage of this plugin – it works properly with Featured Content Gallery Plugin.
Good job!

Maria-Mirabella

Hi,
ich habe gerade mal versucht diese mit dem MojoBlog unter Joomla einzusetzen.
Das Mojoblog basiert auf WordPress und unterstützt auch WordPress Plugins weitestgehenst.
Da ich aber im Mojoblog keine Möglichkeiten zur Aktivierung der Option Vergrößern bekomme, das Plugin aber läuft, meine Frage, ob man HTML Links über ein Tag oder ähnlichem den Link zum Vergrößern bekommen kann?

Grüße

Jan

when i upgrade to wordpress 2.9, the plugin stoped working

Archer

Das Plugin funktioniert seit WordPress 2.9 nicht mehr.
Liegt aber nicht am Plugin sondern wohl an WordPress. Seit 2.9 werden Bilder aus der Gallery als Thumbnail nicht mehr mit Link zum original Bild eingefügt, daher fehlt der <a Tag den das Plugin benötigt.

Gruß,
Michael

Mic

[…] den aktuellen WordPress-Upgrades ist mir aufgefallen, dass das bisher verwendete Plugin Highslide Integration nicht mehr funktionierte. Also habe ich mich nach einer Alternative umgeschaut und statt dessen ein […]

Bilder im Wordpress-Blog zoomen – Mein digitales Universum

I also encountered a problem in the Highslide Integration plugin when updating an old, almost forgotten 2.6 WordPress to 2.9. All preexisting Highslides were gone. But I am able to add new HighSlide enabled images by checking „Highslide“ while also choosing the „file url“ option under „link url“. Not sure if this used to be the case in WordPress 2.6, but works fine for me.

Robin van Emden

Thanks for share this plugin, it is very useful!

photowork

Fantastic plugin, made my life so much easier, many thanks.
I have one question though, is it possible to add a white border on the images before the highslide?
I have a white border when zoomed in, but not for the static image, and I think it would look much better, for me at least.
Again many thanks.
Darron.

Darron

It would be nice id the plugin adds the full image description in the Highslide (only when zoomed in). It would be perfect in combination with the Image Formatr plugin.

Mandx

Hi, I uploaded your plugin to my WP site but don’t get the Options page at all.

I have activated the Highlide integration Plugin and can find the Highlide integration in the Plugin Editor but I have no Option for Highlide anywhere like the images here: http://wordpress.org/extend/plugins/highslide-4-wordpress-reloaded/screenshots/. The thing is, I can’t find any documentation on where to put Highlide itself. And I guess that’s what I am missing…
I have worked with highslide in a „regular“ html page before but never in WP to which I am very new,.
I hope you can help me!

Anna

Hi Christoph,

Your plug-in is great! However, is there a way it could add onclick=“return hs.expand(this, config1 )“ in the anchor of each image? For example:

I found out that without this onclick attribute,, the gallery doesn’t work. All you can do is open each image individually, but you can’t navigate through a wordpress gallery.

Any ideas?

Cheers,
P.

pmdci

[…] esta versión… dénle click a los thumbnails de los reviews, y deslúmbrense ante el poder de Highslide. Del resto es todo casi lo mismo. Tengo pensado re-escribir el “Acerca de” y van a […]

Legend of the River King « Mysidia

Seit dem Update auf 2.0 funktioniert gar nichts mehr.
Bestehende Bilder bekommen durch das class=“highslide“ zwar noch die Styleinformationen (cursor bei mouseover z.B.) aber der eigentliche Highslide Effekt funktioniert nicht mehr.
Neue Bilder in Posts funktionieren gar nicht mehr. Kein Style und kein Effekt.
Schade aber irgendwas läuft bei mir ganz verkehrt :D
Highslide 4.1.8 und Highslide Integration 2.0 1. über WordPress Auto Update und 2. manueller Upload
-> Downgrade

Hannes Schurig

[…] After months years of waiting, the highslide-integration plugin I’m using here finally got a major update. The new unobtrusive way the JavaScript magic is […]

New highslide-integration plugin | defauBlog

Seit dem Update auf 2.0 öffnen sich alle bereits bestehenden Bilder doppelt..in der bisher verwendeten und einer neuen (schicken) Ansicht.

Da der Fehler sicher vor der Tastatur sitzt: Was mache ich falsch?

delight

Update: Das Problem befand sich vor der Tastatur. Eine integrierte Lightbox-Funktion des Themes hat dazwischen gefunkt. Version 2.0 läuft also nun auch bei mir prima!

delight

Found a solution for all people having problems with the actual plugin 2.0 and WordPress versions.
Like class=“highslide“… will not work anymore, as well the hs.expand=“this“ is needed.

My versions:
Wordpress 2.9.2
Highslide Integration Plugin 2.0
Highslide 4.1.8

Problem as descripted in the plugin readme.txt:
2. The template of your site uses the CSS-class „post“ in a div container around your posts
(this class is used to recognize the content area where images should be zoomed and is used to
recognize which images on a site belong together to group them in one slideshow)

Obviously the class name has been changed since some WordPress versions. For posts the class name is now „excerpt“ while for pages the class is named „single_content“.

Because of these name changes JQuery injection doesn’t work anymore.

My Solution:
Download the file http://www.mictronics.de/img_store/highslide-injection.zip
Replace the existing highslide-injection.js in your WordPress highslide-integration plugin folder with the one from the ZIP file.

Keep in mind:
1. The thumbnail image has a link to the big version of the image (you can do that in worpress
when you insert in image) -> click „File URL“

At least on my WordPress blog Highslide works fine now on all images.

Michael

Hi,

Version 1.4 worked so fine for me; after upgrading to 2.0 all pictures where now openend with LIGHTBOX

After backgrading to 1.4 everything is fine again

Jens

It is very funny.

You chose a plugin. Than use it at your projects. Than plugin author makes a new version of plugin but it isn’t not compatible with old version.

And there is no old version anywhere! lol

Where is Unobtrusive??

Thanks.

Satranc

How can i download 1.4?

Satranc

Hat schon mal Jemand das Plugin in WordPress 3 getestet?

parkplatzschild

Upgraded to 2.0 with WordPress 3.0 – It does not work anymore.

The FIRST click on the picture SOMETIMES works, after that, nothing works.

I guess I need to downgrade to 1.4 again.

phoe

alright, downgrade to 1.4 does not work either.

looks like both plugins are not WP3.0 compatible

phoe

The v2.0 plugin works fine in WP 3.0 if you follow the advise in my post #129 to fix this issue.

Michael

[…] ImageFlow é preferibile installare il plugin Highslide Integration sviluppato per WordPress da Christoph Dietrich (la mia traduzione in italiano é altresì disponibile nella cartella del […]

NextGEN-ImageFlow — gidibao's Cafe

For me it still does not work. The image says loading but does not open. Through the Highslide JS Forum I found this:

The reason is a stray comma at the end of the restorTitle line in the hs.lang settings. Remove the highlighted comma:

Code: Select all
hs.lang = {
cssDirection: ‚ltr‘,
loadingText: ‚loading…‘,
loadingTitle: ‚click to cancel‘,
focusTitle: ‚click to bring to front‘,
fullExpandTitle: ‚expand to original size‘,
creditsText: ‚powered by Highslide JS‘,
creditsTitle: ‚visit Highslide JS website‘,
previousText: ‚previous‘,
nextText: ’next‘,
moveText: ‚move‘,
closeText: ‚close‘,
closeTitle: ‚close (ESC)‘,
resizeTitle: ‚resize‘,
playText: ‚play‘,
playTitle: ‚play slideshow (SPACEBAR)‘,
pauseText: ‚pause‘,
Title: ‚pause slideshow (SPACEBAR)‘,
previousTitle: ‚previous (ARROW LEFT)‘,
nextTitle: ’next (ARROW RIGHT)‘,
moveTitle: ‚move‘,
fullExpandText: ‚fullscreen‘,
number: ‚picture %1 of %2‘,
restoreTitle: ‚Click to close image, click und drag to move. Use ARROW keys for previous and next.‘,
};

Please can you adjust this?

Thanks,

Bert

Bert

For all of you having the same problem, it is in the highslide-integration.php file.

restoreTitle: ‚“ . __(‚Click to close image, click und drag to move. Use ARROW keys for previous and next.‘, HI_TEXTDOMAIN) .“‚, this last comma should be deleted.

Now everything works as it should be.

Bert

Bert

Bin sehr zufrieden mit dem Plugin. Auch mit der Version 2. Besten Dank! :-)
Mir ist beim Update allerdings aufgefallen, dass beim Zoom kein Beschreibungstext mehr unter den Bildern angezeigt wird. Kann man das irgendwie wieder aktivieren?

asamak

Hello

I’ve been using Highslide Integration for a while and I think it is by far the best and the simplest Highslide based plugin for wordpress.

However since I’ve upgraded from version 1.4 to v2.0, it stopped working! I had to downgrade all the installations back to 1.4 to keep it working.

But now in WP.3 this plugin does not work at all! neither the v1.4. nor the v2.0

I ask the developer please to check this out, cause this a shame not to be working, since I truly love the simplicity and the results of it.

I’ll help in any way I can, to fix the bugs, If you need some more information about them.

Thanks

MAC

MAC

Benutze das neueste WordPress + Thesis Theme + die 2.0er Version von Highslide Integration
Sobald ich dein Plugin aktiviert habe kann ich im Backend von WordPress nicht mehr auf die Plugins zu greifen. Der Bildschirm bleibt einfach weiß und es tut sich nichts mehr!

Lukas

Hallo Lukas,

wenn die Seite weiß bleibt, ist das möglicherweise ein PHP Fehler.

Grüße

Fussball Freak

I cannot get highslide to work with wordpress at all. Can you help? I am using wordpress 3.0 with the THESIS theme.

Dave

Dave Ramsell

Now it worls!

Bert had the solution:

For all of you having the same problem, it is in the highslide-integration.php file.

restoreTitle: ‘” . __(‘Click to close image, click und drag to move. Use ARROW keys for previous and next.’, HI_TEXTDOMAIN) .”‘, this last comma should be deleted.

Now everything works as it should be.

Bert

MAC

I just installed this on WordPress 3.0.1 and I got no checkbox in the image editing pane to enable Highslide. Can anyone tell me what might be the problem?

Tracy

Great plugin, like the new design ideas. I installed the new 2.0 version and now my slideshowGroup does not seem to be working anymore. It worked yesterday with 1.4 but now even tho I set images with different slideshowGroup’s they all show up together. Keep up the good work. Here’s the markup I’m using:

stav

[a href=“abc.jpg“ onclick=“return hs.expand(this, { slideshowGroup: ‚etc‘ })“][img src=“abc.jpg“][/a]

stav

The behaviour is strange in that if I use FireBug to edit the onclick attribute then the slideshowGroup works. As if some instantiation routine is no longer being called in 2.0 as it was in 1.4 when the page loads. I am having the same experience with Firefox 3.6 and Chromium 8.0 on Ubuntu 10.10 using WordPress 3.0.4. Upgrading to Highslide 4.1.9 made no difference.

stav

Highslide is excellent. Thanks for the plugin 

Sebastian

Schade, es funktioniert einfach nicht. Versuche gerade bis zum Abwinken die HS Integration im WP 3.1 zum Laufen zu bringen …

Helmut

hi Christoph, erst mal danke für das Plugin, allerdings versuche ich es nun auch bereits seit 2h zum Laufen zu bringen. Bei einigen Bildern funktioniert es einwandfrei, bei vielen anderen nicht. Obwohl kein Unterschied besteht. Habe alles verglichen. Steh vor einem Rätsel. Hier gehts z.B. nicht siehe http://www.in-australien.com/lavers-hill-johanna-beach-glenaire-australien-natur-pur_1011999

und hier gehts wiederrum:

http://www.in-australien.com/barossa-valley-australien-bester-wein-idyllische-dorfer_1011659

Dabei besteht doch gar kein Unterschied? Oder doch? Viele Grüße cc

Mirko

@mirko: anleitung lesen. bei dir ist festgelegt, dass die extension bilder in elementen mit der css-klasse „post“ sucht. das ist nur bei der zweiten von dir genannten seite der fall.
gruß

Christoph Dietrich

Bestehen immer noch die genannten Probleme mit WordPress 3.1? Weil ich mir nicht sicher bin ob ich Updaten soll zumal es ja mittlerweile 3.2 gibt und am Ende geht wieder nichts mehr…

Moody

Unter WP 3.1.1 keinerlei Probleme, musste nur mein Theme etwas anpassen, damit es mit der im Plugin verwendeten Klasse übereinstimmt. In FF4 funktioniert alles bestens. Unter IE8 bekomme ich allerdings einen Scriptfehler, k.a. wie es bei IE9 aussieht. Mit Chrome 10 wiederum funktioniert’s auch einwandfrei.

cln

Hey – wiriklich ein cooles Plugin – und leicht installiert ist es obendrein. Wundert mich, dass ich es nicht öfter sehe.

Maik

Hello,

first thanks for this great and simple plugin ! I’d like to have the thumbnails with no border at all, just a pic. I guess it is somewhere in the css, but can you tell me where ?I can’t find what to change.

Thank you if you have time to reply,

arnob

Hi,

Line 88, Column 70: document type does not allow element „div“ here

html: “,

?

Thank you..

Sarot

In your media-dialog of your wordpress backend you’ll find an option to activate enlargement for an image. If your enable this option, your picture will be zoomable via “Highslide JS” in the frontend. No quicktags, no JavaScript -just an zero-click-solution.”

blog dünyam

Thanks. I allreadey use this highslide on my own sites

Andriy Skorbatuyk

Hallo,

ich nutze Highslide Integration sowie ein weiteres Plugin „Read more right here“ (Der more-Tag ist so festgelegt, dass sich der restliche Artikel bei Klick auf „weiterlesen…“ nach unten aufklappt, anstatt auf einer neuen Seite zu erscheinen.)
Leider funktionieren diese beiden Plugins nicht miteinander. Wenn ich z. B. einen Artikel habe, in den ich ein Bild per Highslide Integration und den more-Tag einfüge, wird das Bild so geöffnet, aber nicht per Highslide. Ich denke, dass da irgendwas im jquery nicht miteinander harmoniert, aber was??? Hat vlt. jemand eine Idee?
Hier der Link zu der Seite: http://www.dw-webdesign.com/cpv-z/?cat=5

D. Wiechmann

[…] 画像にリンクがあるときなどページを飛ばずに拡大されます。これやっぱ便利だわ。 他にもいろんなLightboxが出てたんですけど、結局これを選択しちゃった。うん。今回はWordPressを使っているのでプラグインとしてHighslide Integrationにお世話になってます。 サムネ人参が拡大すればちゃんと動いてます。 最初に使ったときから数年経ってるわけですが、まぁ通常の使い方しかしてないです。 機会があればいろんなことが出来るので試してみたいんだけどね…。 […]

うるこんどっとこむ » Highslide JS はいったった

ust trying to get the titles working, but that should be a minor thing i hope??

Thanx

mehmet EMİN

this is not working on my site. images open in a browser tab. is there a way to fix? thanks

gezginrocker

Plugin is working perfectly! Thank you!

Just wondering why it is not in the official plugin list?

wpholic

Hi! I was wondering whether it is possible to disable window scrolling after the image is expanded (except when the image is itself expanded to original size and bigger than viewport). I tried deciphering the highslide documentation but couldn’t figure this out!
Thanks!

symm

After installed in ssl wordpress,this plugin shows INSECURE CONTENT.

How to fix that?
BTW I think that this is the best plugin :) great job

Patrick

Hi there I’m using your great plug in and it works perfectly with images.
Does the plugin support html-content popup as on the original highslide site?
I’ve copied their html script onto my WP page but it doesn’t work as below:

Lorem ipsum
Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aliquam dapibus leo quis nisl. In lectus.

I’ve used and configured the original Highslide scripts but not sure how to do it with your integration version.
Can you help?
Kind regards
Kara

Kara

Hallo! Kunden von mir nutzt dieses Plugin auf ihrer Webseite und wollten im Auszug vom Lead Post (erster Post auf der Startseite) einige Bilder mit Highslide einbinden – allerdings funktioniert das nicht, es wird beim Draufklicken immer nur das Bild direkt angezeigt. Mit anderen Worten, das Javascript greift nicht. Ich bin mir zwar fast sicher, dass das schonmal funktioniert hat, habe aber doch überlegt, ob es daran liegt, dass es eben im Auszug und nicht im Haupttext ist? Im Volltext funktioniert es nämlich problemlos.

Freue mich über alle Ideen und Anregungen!
Anna~

Anna

Hallo Anna,
gut möglich. Dafür musst du die jQuery-Selektoren im JavaScript anpassen.
Gruß
Christoph

Christoph Dietrich

Hallo, ich finde Highslide JS nicht bei den Plugins , Kann mir bitte jemand helfen? Quasi, über die Pluginsuche aus dem Backend von WordPress herraus

heikos

Anzeigen